summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/gpac/README10
-rw-r--r--multimedia/gpac/SVN-VERSION4
-rw-r--r--multimedia/gpac/gpac.SlackBuild56
-rw-r--r--multimedia/gpac/gpac.info10
-rw-r--r--multimedia/gpac/libpng-infopp-null.patch11
-rw-r--r--multimedia/gpac/slack-desc2
6 files changed, 39 insertions, 54 deletions
diff --git a/multimedia/gpac/README b/multimedia/gpac/README
index d5a8876668..aad6188a79 100644
--- a/multimedia/gpac/README
+++ b/multimedia/gpac/README
@@ -1,10 +1,6 @@
GPAC is mainly used to package multimedia content for local or streaming
playback. GPAC includes MP4Box utility which lets packaging of
-various audio and video codecs into mp4 container
+various audio and video codecs into mp4 container.
-Dependencies:
-REQUIRED: ffmpeg xvidcore faad2 a52dec
-OPTIONAL: wxGTK
-
-wxGTK is disabled by default, can be turned on by passing WX_SUPPORT=yes
-to the script \ No newline at end of file
+Optional dependencies include the following: wxGTK (or wxPython), js, faad2,
+ffmpeg, xvidcore, a52dec, jack-audio-connection-kit, pulseaudio, and xmlrpc-c.
diff --git a/multimedia/gpac/SVN-VERSION b/multimedia/gpac/SVN-VERSION
new file mode 100644
index 0000000000..43ba719941
--- /dev/null
+++ b/multimedia/gpac/SVN-VERSION
@@ -0,0 +1,4 @@
+SVN Revision 3730 - November 10, 2011
+
+svn check out link:
+svn co https://gpac.svn.sourceforge.net/svnroot/gpac/trunk/gpac gpac
diff --git a/multimedia/gpac/gpac.SlackBuild b/multimedia/gpac/gpac.SlackBuild
index e78141d982..cb730a4cf1 100644
--- a/multimedia/gpac/gpac.SlackBuild
+++ b/multimedia/gpac/gpac.SlackBuild
@@ -1,17 +1,17 @@
#!/bin/sh
# Slackware Package Build Script for gpac
-# Home Page http://gpac.sourceforge.net/
+# Home Page http://gpac.wp.institut-telecom.fr/
-# Copyright (c) 2007-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
+# Copyright (c) 2007-2011, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
-
+#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-
+#
# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
-
+#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -24,9 +24,9 @@
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=gpac
-VERSION=0.4.5
-BUILD=${BUILD:-3}
+PRGNAM="gpac"
+VERSION=${VERSION:-svn_r3730}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
# Automatically determine the architecture we're building on:
@@ -44,6 +44,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -67,11 +69,10 @@ fi
rm -rf $PKG $TMP/$PRGNAM-$VERSION
mkdir -p $TMP $PKG $OUTPUT
-
cd $TMP
tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
-mv $TMP/$PRGNAM $TMP/$PRGNAM-$VERSION
-cd $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
chown -R root.root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -79,45 +80,40 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-( cd src/media_tools; patch -p0 < $CWD/libpng-infopp-null.patch )
+# configure doesn't have --libdir option.
+sed -i "s/^libdir=\".*\"$/libdir=\"lib$LIBDIRSUFFIX\"/" configure
-### fix configure script perms
-chmod u+x configure
-
-./configure --prefix=/usr \
+./configure \
+ --prefix=/usr \
--mandir=/usr/man \
--disable-opt \
--cpu=${ARCH} \
--extra-cflags="$SLKCFLAGS" \
- --disable-ipv6 \
$wx_option
-make -j1 # Parallel build seems to fail
+make -j1
make install DESTDIR=$PKG
+make install-lib DESTDIR=$PKG
### remove $PKG/usr/share/gpac directory
### only contains gpac.mp4 file which
### doesn't seem to play with mplayer
rm -fr $PKG/usr/share
-### copying essential doc files
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-
-cp -a AUTHORS COPYING BUGS Changelog INSTALLME \
-README TODO doc/configuration.html $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG | xargs file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-### strip binaries
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-# find and compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-### putting slack-desc and doinst.sh in place
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING Changelog INSTALLME README TODO doc/configuration.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/SVN-VERSION > $PKG/usr/doc/$PRGNAM-$VERSION/SVN-VERSION
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-### building package
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/gpac/gpac.info b/multimedia/gpac/gpac.info
index 79d4851c6d..e802c62627 100644
--- a/multimedia/gpac/gpac.info
+++ b/multimedia/gpac/gpac.info
@@ -1,10 +1,10 @@
PRGNAM="gpac"
-VERSION="0.4.5"
-HOMEPAGE="http://gpac.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/gpac/gpac-0.4.5.tar.gz"
-MD5SUM="755e8c438a48ebdb13525dd491f5b0d1"
+VERSION="svn_r3730"
+HOMEPAGE="http://gpac.wp.institut-telecom.fr/"
+DOWNLOAD="http://www.mnspace.net/files/slackbuilds/slack1337/gpac/gpac-svn_r3730.tar.xz"
+MD5SUM="955c76d80a5e3381507ef2e0b0f497fe"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Nishant Limbachia"
EMAIL="nishant@mnspace.net"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/multimedia/gpac/libpng-infopp-null.patch b/multimedia/gpac/libpng-infopp-null.patch
deleted file mode 100644
index 58205fd769..0000000000
--- a/multimedia/gpac/libpng-infopp-null.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- img.c.orig 2010-05-27 22:20:32.758633643 -0500
-+++ img.c 2010-05-27 22:21:49.263633070 -0500
-@@ -551,7 +551,7 @@
- /* Allocate/initialize the image information data. REQUIRED */
- info_ptr = png_create_info_struct(png_ptr);
- if (info_ptr == NULL) {
-- png_destroy_write_struct(&png_ptr, png_infopp_NULL);
-+ png_destroy_write_struct(&png_ptr, NULL);
- return GF_IO_ERR;
- }
-
diff --git a/multimedia/gpac/slack-desc b/multimedia/gpac/slack-desc
index 766cbca2f0..250bf947c9 100644
--- a/multimedia/gpac/slack-desc
+++ b/multimedia/gpac/slack-desc
@@ -16,4 +16,4 @@ gpac: of presentation for MPEG4/VRML/X3D through mozilla SpiderMonkey
gpac: javascript engine. GPAC also features MP4Box, a multimedia
gpac: swiss-army knife.
gpac:
-gpac: http://gpac.sourceforge.net
+gpac: Website : http://gpac.wp.institut-telecom.fr/